> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zayo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Current User



## OpenAPI

````yaml /openapi.json put /users/current
openapi: 3.1.0
info:
  title: NIRO API
  description: Tenant API shema for NIRO
  version: NIRO-2.13.0
servers: []
security: []
tags:
  - name: service - aws
    description: >-
      Management of AWS cloud credentials, enabling seamless integration and
      automated connectivity
  - name: service - looking glass
    description: Test network connectivity
  - name: service - SDR
    description: >-
      Management for SDR (Session Details Records), a superset of classic
      NetFlow data
  - name: tenant
    description: >-
      Manage tenant-related information like packages and services as well as
      contact information
  - name: tenant - virtual interface
    description: Management for VIs (Virtual Interfaces)
  - name: group
    description: >-
      Predefined Groups of IP prefixes and IPs ready to be used in filters for
      firewall and other services
  - name: sites
    description: >-
      Manage information about sites providing network reach to order new
      Customer Ports
paths:
  /users/current:
    put:
      tags:
        - users
      summary: Update Current User
      operationId: update_current_user_users_current_put
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NBUpdateUserBaseData'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NBUser'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearerFromCookie: []
components:
  schemas:
    NBUpdateUserBaseData:
      properties:
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
          default: ''
        first_name:
          anyOf:
            - type: string
            - type: 'null'
          title: First Name
          default: ''
        last_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Name
          default: ''
        phone:
          anyOf:
            - type: string
            - type: 'null'
          title: Phone
          default: ''
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          default: ''
      type: object
      title: NBUpdateUserBaseData
    NBUser:
      properties:
        id:
          type: string
          title: Id
        username:
          type: string
          title: Username
        email:
          type: string
          title: Email
        first_name:
          anyOf:
            - type: string
            - type: 'null'
          title: First Name
        last_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Name
        phone:
          anyOf:
            - type: string
            - type: 'null'
          title: Phone
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        role:
          anyOf:
            - $ref: '#/components/schemas/UserRole'
            - type: 'null'
        is_remote_user:
          type: boolean
          title: Is Remote User
          default: false
        enabled:
          type: boolean
          title: Enabled
        password_is_expired:
          type: boolean
          title: Password Is Expired
        remaining_failed_attempts:
          type: integer
          title: Remaining Failed Attempts
      type: object
      required:
        - id
        - username
        - email
        - enabled
        - password_is_expired
        - remaining_failed_attempts
      title: NBUser
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    UserRole:
      type: string
      enum:
        - admin
        - viewer
        - editor
        - remote_user
        - partner
      title: UserRole
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearerFromCookie:
      type: http
      scheme: bearer

````